Bug 246848 - Review the udev rules
Summary: Review the udev rules
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openct (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 12:02 UTC by Harald Hoyer
Modified: 2008-04-04 09:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:24:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 12:02:10 UTC
udev has changed the rule syntax.
See /usr/share/doc/udev-*/RELEASE-NOTES and man udev(7)

Please review your udev rules and change:
BUS -> SUBSYSTEMS, ID -> KERNELS, SYSFS -> ATTRS, DRIVER -> DRIVERS

Thanks

Comment 1 Ville Skyttä 2007-07-05 17:47:14 UTC
udev's release notes (098, the last one where these were mentioned) say that the
old names still work.  Are they going to break soon or something?  I'd like to
keep the rules the same in all branches unless there's a real reason to fork them.

Comment 2 Harald Hoyer 2007-07-06 07:04:04 UTC
hmm, ok, then we wait until your rules break :)

Comment 3 Ville Skyttä 2007-07-06 19:02:07 UTC
Does that mean you know the old names will stop working soon?

Comment 4 Harald Hoyer 2007-07-09 13:02:03 UTC
not that I know... just to inform you

Comment 5 Ville Skyttä 2007-11-12 18:46:33 UTC
Package orphaned:
https://www.redhat.com/archives/fedora-devel-list/2007-November/msg00894.html

Comment 6 Hans de Goede 2007-11-20 19:20:15 UTC
I'm picking up openct and opencs for now, I'm pretty much blank when it comes to
experience with them though so I'll leave this bug as is for now.

(I plan to work with them in the near future though, then I might revisited this
 bug).


Comment 7 Hans de Goede 2008-04-04 09:24:24 UTC
I've just checked this and the necessary changes have already been made
upstream, closing.



Note You need to log in before you can comment on or make changes to this bug.